//---------------------------------------------------------------------------
#ifndef SegIndiH
#define SegIndiH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
enum TIndiSegment {segA,segB,segC,segD,segE,segF,segG,segH};
typedef Set<TIndiSegment,segA,segH> TIndiSegments;

class PACKAGE TSegIndi : public TGraphicControl
{
private:
        TColor FOnPenColor;
        TColor FOffPenColor;
        TColor FOnBrushColor;
        TColor FOffBrushColor;
        TIndiSegments FOnSegments;
        TIndiSegments FExSegments;
        TStringList* FSymbols;
        int FSymbolIndex;
        int FLineWidth;
        TNotifyEvent FOnChange;
        void __fastcall SetOnPenColor(TColor Col);
        void __fastcall SetOffPenColor(TColor Col);
        void __fastcall SetOnBrushColor(TColor Col);
        void __fastcall SetOffBrushColor(TColor Col);
        void __fastcall SetOnSegments(TIndiSegments Segs);
        void __fastcall SetExSegments(TIndiSegments Segs);
        void __fastcall SetSymbols(TStringList* Strings);
        void __fastcall SetSymbolIndex(int Index);
        void __fastcall SetLineWidth(int Width);
        void __fastcall OnSymbolsChange(TObject* Sender);
        void __fastcall DrawVerLine(int x,int y,int h);
        void __fastcall DrawHorLine(int x,int y,int l);
        void __fastcall DrawPoint(int x,int y,int h);
protected:
        void __fastcall Paint();
public:
        __fastcall TSegIndi(TComponent* Owner);
        __fastcall ~TSegIndi();
__published:
        __property TColor OnPenColor={read=FOnPenColor,write=SetOnPenColor,default=clBtnText};
        __property TColor OffPenColor={read=FOffPenColor,write=SetOffPenColor,default=clGrayText};
        __property TColor OnBrushColor={read=FOnBrushColor,write=SetOnBrushColor,default=clBtnText};
        __property TColor OffBrushColor={read=FOffBrushColor,write=SetOffBrushColor,default=clGrayText};
        __property TIndiSegments OnSegments={read=FOnSegments,write=SetOnSegments};
        __property TIndiSegments ExSegments={read=FExSegments,write=SetExSegments};
        __property TStringList* Symbols={read=FSymbols,write=SetSymbols};
        __property int SymbolIndex={read=FSymbolIndex,write=SetSymbolIndex,default=0};
        __property int LineWidth={read=FLineWidth,write=SetLineWidth,default=3};
        __property TNotifyEvent OnChange={read=FOnChange,write=FOnChange};
        __property DragCursor ;
        __property DragMode ;
        __property OnDragDrop ;
        __property OnDragOver ;
        __property OnEndDrag ;
        __property OnMouseDown ;
        __property OnMouseMove ;
        __property OnMouseUp ;
};
//---------------------------------------------------------------------------
#endif
